#!/usr/bin/sh

# 	Copyright (c) 2003-2005 The SCO Group, Inc. All Rights Reserved. 

#ident	"@(#)opensrc:src/foomatic-filters-ppds/foomatic-filters-ppds.sh /main/uw714mp/3"

#
# The source files here are entirely from:
#
# foomatic-filters-ppds-20050105 distribution from http://www.linuxprinting.org/
#
# except for the following files:
#
# foomatic-filters-ppds.sh	(build script -- this file)
# patches/*			(patch files)
#
# Notes:
#
# 1. foomatic-filters-ppds-20050105 is a snapshot of foomatic filters
#    and PPD files taken on Jan 05, 2005.  This roughly corresponds to
#    version 3.0.2.
#
# 2. Since HP PPD files that use hpijs driver are also provided with the hpijs
#    distribution, we do not check-in those that come with this distribution.
#
#    All non-HP PPD files that use hpijs driver are checked-in but are
#    packaged in the hpijs package.
#

set -x

# We need gzip.
GZIP=/usr/add-on/public/bin/gzip
if [ ! -x $GZIP ]
then
	echo "ERROR: $GZIP not found.\n" >&2
	exit 1
fi

set -e

# Apply patches.
for patch in 3.0.2-port
do
	[ -f patches/${patch}.applied ] || {
		/bin/patch -c -p0 -i patches/${patch}.patch
		/bin/date > patches/${patch}.applied
	}
done

cd dist

#
# Install.
# Don't use -gzip option as it doesn't always work.
#
./install \
	--destdir $ROOT/$MACH \
	--prefix /usr

# Now compress PPD files.
cd $ROOT/$MACH
/bin/find usr/share/ppd -name '*.ppd' | xargs $GZIP --force

# Move man pages to Unix standard directory.
[ ! -d usr/man/man.1 ] && /bin/mkdir -p usr/man/man.1
/bin/mv -f usr/share/man/man1/foomatic* usr/man/man.1

exit 0
